unit About;

interface

uses
	Buttons, Classes, Controls, Forms, Messages, StdCtrls,
	ESBPCSLabel, ESBPCSUrlLabel, ESBPCSMemo;

type
  TAboutForm = class(TForm)
    OkBtn: TBitBtn;
    Memo1: TESBMemo;
    ESBUrlLabel1: TESBUrlLabel;
    ESBUrlLabel2: TESBUrlLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
    procedure SysMen (var Msg: TMessage); message WM_SYSCOMMAND;
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

procedure ShowAbout;

implementation

{$R *.DFM}

uses
	Windows;

procedure TAboutForm.SysMen (var Msg: TMessage);
begin
	if Msg.wParam = SC_MINIMIZE then
		ShowWindow (Application.Handle, SW_MINIMIZE)
	else
		Inherited;
end;

procedure ShowAbout;
var
	Dlg: TAboutForm;
begin
	Dlg := TAboutForm.Create (Application);
     try
          Dlg.ShowModal;
     finally
     	Dlg.Free
     end;
end;

procedure TAboutForm.FormKeyPress(Sender: TObject; var Key: Char);
begin
	if Key = #27 then
		Close;
end;

end.
